Data Structures | Typedefs | Enumerations | Variables

# linkgraph_type.h File Reference

Declaration of link graph types used for cargo distribution. More...

Go to the source code of this file.

## Data Structures
struct | EnumPropsT< DistributionType >
## Typedefs
typedef uint16 | LinkGraphID
typedef uint16 | LinkGraphJobID
typedef uint16 | NodeID
typedef TinyEnumT < DistributionType > | DistributionTypeByte
## Enumerations
enum | DistributionType { DT_BEGIN = 0, DT_MIN = 0, DT_MANUAL = 0, DT_ASYMMETRIC = 1, DT_MAX_NONSYMMETRIC = 1, DT_SYMMETRIC = 2, DT_MAX = 2, DT_NUM = 3, DT_END = 3 }
## Variables
static const LinkGraphID | INVALID_LINK_GRAPH = UINT16_MAX
static const LinkGraphID | INVALID_LIN_KGRAPH_JOB = UINT16_MAX
static const NodeID | INVALID_NODE = UINT16_MAX

## Detailed Description

Declaration of link graph types used for cargo distribution.

Definition in file linkgraph_type.h.

## Enumeration Type Documentation

enum DistributionType

Enumerator:

  DT_MANUAL | Manual distribution. No link graph calculations are run.
  DT_ASYMMETRIC | Asymmetric distribution. Usually cargo will only travel in one direction.
  DT_MAX_NONSYMMETRIC | Maximum non-symmetric distribution.
  DT_SYMMETRIC | Symmetric distribution. The same amount of cargo travels in each direction between each pair of nodes.

Definition at line 24 of file linkgraph_type.h.